Nestopia Core API: Nes::Api::TapeRecorder

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Class Nes::Api::TapeRecorder

    Base
       |
       +--Nes::Api::TapeRecorder

class Nes::Api::TapeRecorder
extends Base

Tape interface.

Inner Classes, Typedefs, and Enums
`enum` | `Nes::Api::TapeRecorder::Event` Tape events.
`typedef` | `Nes::Api::TapeRecorder::EventCallback` Tape event callback prototype.

Field Summary
`static Nes::Api::TapeRecorder::EventCaller` | `eventCallback` Tape event callback manager.

Constructor Summary
`TapeRecorder( T& instance )` Interface constructor.

Method Summary
`bool` | `IsConnected() const` Checks if a tape recorder is connected.
`bool` | `IsPlayable() const` Checks if tape can be played
`bool` | `IsPlaying() const` Checks if tape is playing.
`bool` | `IsRecording() const` Checks if tape is recording.
`bool` | `IsStopped() const` Checks if tape has stopped playing or recording.
`Result` | `Play()` Plays tape.
`Result` | `Record()` Records tape.
`Result` | `Stop()` Stops tape.

Field Detail

### eventCallback

    public static Nes::Api::TapeRecorder::EventCaller eventCallback;

  Tape event callback manager. Static object used for adding the user defined callback.

Constructor Detail

### TapeRecorder

    public TapeRecorder( T& instance );

  Interface constructor.

Parameters:
  `instance` - emulator instance

Method Detail

### IsConnected

    public bool IsConnected() const throw();

  Checks if a tape recorder is connected.

Parameters:
  `true` - connected

### IsPlayable

    public bool IsPlayable() const throw();

  Checks if tape can be played

Returns:
  true if playable

### IsPlaying

    public bool IsPlaying() const throw();

  Checks if tape is playing.

Returns:
  true if playing

### IsRecording

    public bool IsRecording() const throw();

  Checks if tape is recording.

Returns:
  true if recording

### IsStopped

    public bool IsStopped() const throw();

  Checks if tape has stopped playing or recording.

Returns:
  true if stopped

### Play

    public Result Play() throw();

  Plays tape.

Returns:
  result code

### Record

    public Result Record() throw();

  Records tape.

Returns:
  result code

### Stop

    public Result Stop() throw();

  Stops tape.

Returns:
  result code

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD